package com.jz.dm.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.dm.models.domian.ApiAuth;
import com.jz.dm.models.dto.AuthInfoDto;
import com.jz.dm.models.req.auth.AuthDetailInfoReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**api授权信息表 mapper
 * @author zc
 *
 */
public interface ApiAuthMapper extends BaseMapper<ApiAuth> {

    /**
     * 查询认证详情信息
     * @param req
     * @return
     */
    AuthInfoDto selectAuthDetail( AuthDetailInfoReq req);

    /**
     * 分页查询认证列表
     * @param page
     * @param query
     * @return
     */
    IPage<AuthInfoDto> listSelectApiAuth(IPage<AuthInfoDto> page, @Param("ew") Wrapper<AuthInfoDto> query);

    /**
     * 批量更新数据
     * @param list
     * @return
     */
    int updateAuthBatch(List<ApiAuth> list);
}
