package com.jz.dm.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.dm.models.domian.ApiInterface;
import com.jz.dm.models.domian.ApiInterfaceCustom;
import com.jz.dm.models.req.api.ApiInterfaceDetailReq;
import org.apache.ibatis.annotations.Param;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mapper
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceMapper
 * @DATE: 2020-12-22/15:05
 * @DAY_NAME_SHORT: 周二
 * @Description:
 **/
public interface ApiInterfaceMapper extends BaseMapper<ApiInterface> {


    /**
     * 查询(已调用)API列表信息
     * @param page
     * @param query
     * @return
     */
    IPage<ApiInterface > listApiInterfaceInfo(IPage<ApiInterface > page, @Param("ew") Wrapper<ApiInterface > query);

    /**
     * 查询(未调用)API列表信息
     * @param page
     * @param query
     * @return
     */
    IPage<ApiInterface > listCallApiInterfaceInfo(IPage<ApiInterface > page, @Param("ew") Wrapper<ApiInterface > query);

    /**
     * 查询API详情信息
     * @param req
     * @return
     */
    ApiInterface selectDetail(ApiInterfaceDetailReq req);


    /**
     * 获取测试请求数据
     * @param apiKey
     * @return
     */
    ApiInterfaceCustom getTestData(String apiKey);



}
