package com.jz.dm.mall.moduls.controller.order.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * api商品(DataGoodsApiDto)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@ApiModel
@Data
public class DataGoodsApiDto implements Serializable {
    private static final long serialVersionUID = -14346819849726413L;
    /**
     * api商品id
     */
    @ApiModelProperty(value = "api商品id")
    private Long goodsApi;
    /**
     * 数据id
     */
    @ApiModelProperty(value = "数据id")
    private Long dataGoodsId;
    /**
     * api服务名称
     */
    @ApiModelProperty(value = "api服务名称")
    private String apiName;
    /**
     * 请求类型（方式）
     */
    @ApiModelProperty(value = "请求类型（方式）")
    private String requestType;
    /**
     * api接口地址
     */
    @ApiModelProperty(value = "api接口地址")
    private String apiUrl;
    /**
     * api接口方法
     */
    @ApiModelProperty(value = "api接口方法")
    private String apiMethod;
    /**
     * api请求协议：http，https
     */
    @ApiModelProperty(value = "api请求协议：http，https")
    private String apiProtocl;
    /**
     * api返回数据样例
     */
    @ApiModelProperty(value = "api返回数据样例")
    private String returnDataExample;
    /**
     * api请求样例
     */
    @ApiModelProperty(value = "api请求样例")
    private String requestExample;
    /**
     * 返回类型
     */
    @ApiModelProperty(value = "返回类型")
    private String returnType;
    /**
     * apikey
     */
    @ApiModelProperty(value = "apikey")
    private String apiKey;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String crePerson;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String uptPerson;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    /**
     * 授权码token
     */
    @ApiModelProperty(value = "授权码token")
    private String goodsToken;

    /**
     * 接口参数信息
     */
    @ApiModelProperty(value = "接口参数信息")
    private List<DataGoodsApiParamsDto> apiParamsDto;

}